Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class TrackingEvent

    java.lang.Object
      |
      +--com.bea.p13n.property.AbstractConfigurableEntity
            |
            +--com.bea.p13n.events.Event
                  |
                  +--com.bea.p13n.tracking.events.TrackingEvent

Direct Known Subclasses:
  CampaignUserActivityEvent, ClickEvent, ContentEvent, RuleEvent, SessionBeginEvent, SessionEndEvent, SessionLoginEvent, ShoppingEvent, UserRegistrationEvent

public abstract class TrackingEvent
extends Event

The base class for implementing any behavior tracking events. Events that will be persisted to the EVENT table for beahvior tracking must subclass this class.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `APPLICATION` Event attribute key name for the WebLogic application context Attribute value is a String
`static java.lang.String` | `REQUEST` Event attribute key name for the request object Attribute value is a com.bea.p13n.http.Request
`static java.lang.String` | `SESSION_ID` Event attribute key name for session id Attribute value is a String
`static java.lang.String` | `USER_ID` Event attribute key name for user id Attribute value is a String

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Constructor Summary
`TrackingEvent(java.lang.String theEventType, java.lang.String theSessionId, java.lang.String theUserId, java.lang.String theXMLNamespace, java.lang.String theXSDFile, java.lang.String[] theSchemaKeys)` Create a new TrackingEvent.
`TrackingEvent(java.lang.String theEventType, java.lang.String theSessionId, java.lang.String theUserId, java.lang.String theXMLNamespace, java.lang.String theXSDFile, java.lang.String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest)` Create a new TrackingEvent.

Method Summary
`java.lang.String[]` | `getSchemaKeys()` Get the schama keys (and their order) for the XML representation of this document
`java.lang.String` | `getXMLNamespace()` Get the XML namespace for this event
`java.lang.String` | `getXSDFile()` Get the XSD schema file for this event
`void` | `setSchemaKeys(java.lang.String[] schemaKeys)` Get the schema keys for this event's XML representation
`void` | `setXMLNamespace(java.lang.String newXMLNamespace)` Set the XML namespace for this event
`void` | `setXSDFile(java.lang.String newXSDFile)` Set the XSD schema file for this event

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPLICATION

    public static final java.lang.String APPLICATION

  Event attribute key name for the WebLogic application context Attribute value is a String

### SESSION_ID

    public static final java.lang.String SESSION_ID

  Event attribute key name for session id Attribute value is a String

### USER_ID

    public static final java.lang.String USER_ID

  Event attribute key name for user id Attribute value is a String

### REQUEST

    public static final java.lang.String REQUEST

  Event attribute key name for the request object Attribute value is a com.bea.p13n.http.Request

Constructor Detail

### TrackingEvent

    public TrackingEvent(java.lang.String theEventType,
                         java.lang.String theSessionId,
                         java.lang.String theUserId,
                         java.lang.String theXMLNamespace,
                         java.lang.String theXSDFile,
                         java.lang.String[] theSchemaKeys)

  Create a new TrackingEvent.

  Parameters:
    `theEventType` - the event's type
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML

### TrackingEvent

    public TrackingEvent(java.lang.String theEventType,
                         java.lang.String theSessionId,
                         java.lang.String theUserId,
                         java.lang.String theXMLNamespace,
                         java.lang.String theXSDFile,
                         java.lang.String[] theSchemaKeys,
                         javax.servlet.http.HttpServletRequest theRequest)

  Create a new TrackingEvent.

  Parameters:
    `theEventType` - the event's type
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object

Method Detail

### getXMLNamespace

    public java.lang.String getXMLNamespace()

  Get the XML namespace for this event

### setXMLNamespace

    public void setXMLNamespace(java.lang.String newXMLNamespace)

  Set the XML namespace for this event

### getXSDFile

    public java.lang.String getXSDFile()

  Get the XSD schema file for this event

### setXSDFile

    public void setXSDFile(java.lang.String newXSDFile)

  Set the XSD schema file for this event

### getSchemaKeys

    public java.lang.String[] getSchemaKeys()

  Get the schama keys (and their order) for the XML representation of this document

### setSchemaKeys

    public void setSchemaKeys(java.lang.String[] schemaKeys)

  Get the schema keys for this event's XML representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved